freebsd-ports/www/apache2/pkg-install
Clement Laforet c7cb8394d2 - Fix install when people use a different /bin/sh
This shouldn't have been fixed, but I don't like setting UID and GID
  variables.
  so ${*} -> ${WWW*}

PR:		64032
Noticed by:	Patrick Schoenfeld <schoenfeld@in-medias-res.com>
2004-04-07 14:27:47 +00:00

35 lines
733 B
Bash

#!/bin/sh
# $FreeBSD: /tmp/pcvs/ports/www/apache2/Attic/pkg-install,v 1.4 2004-04-07 14:27:47 clement Exp $
#
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
WWWUSER=www
WWWGROUP=${WWWUSER}
WWWUID=80
WWWGID=${WWWUID}
if ! pw groupshow "${WWWGROUP}" 2>/dev/null 1>&2; then
if pw groupadd ${WWWGROUP} -g ${WWWGID}; then
echo "Added group \"${WWWGROUP}\"."
else
echo "Adding group \"${WWWGROUP}\" failed..."
exit 1
fi
fi
if ! pw usershow "${WWWUSER}" 2>/dev/null 1>&2; then
if pw useradd ${WWWUSER} -u ${WWWUID} -g ${WWWGROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "World Wide Web Owner"; \
then
echo "Added user \"${WWWUSER}\"."
else
echo "Adding user \"${WWWUSER}\" failed..."
exit 1
fi
fi
exit 0